Name:           sqlitebrowser
Version:        3.5.1
Release:        1%{?dist}
Summary:        Create, design, and edit SQLite database files

License:        GPLv3+ or MPLv2.0
URL:            https://github.com/%{name}/%{name}
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz
# Unbundle bundled libraries
Patch0:         sqlitebrowser_unbundle.patch
# Skip test which requires display
Patch1:         sqlitebrowser_skiptest.patch

BuildRequires:  antlr-C++
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qcustomplot-devel
BuildRequires:  qhexedit2-devel
BuildRequires:  qt4-devel
BuildRequires:  sqlite-devel

Requires:       hicolor-icon-theme

%description
SQLite Database Browser is a high quality, visual, open source tool to create,
design, and edit database files compatible with SQLite.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

# Unbundle
rm -rf libs


%build
mkdir build
pushd build
%cmake ..
make %{?_smp_mflags}
popd


%install
%make_install -C build
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%check
cd tests
%cmake .
make %{?_smp_mflags}
./sqlb-unittests


%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png


%changelog
* Mon Feb 09 2015 Sandro Mani <manisandro@gmail.com> - 3.5.1-1
- Update to 3.5.1

* Mon Feb 02 2015 Sandro Mani <manisandro@gmail.com> - 3.5.0-1
- Update to 3.5.0

* Sun Dec 28 2014 Sandro Mani <manisandro@gmail.com> - 3.4.0-2
- Rebuild (qcustomplot)

* Fri Oct 31 2014 Sandro Mani <manisandro@gmail.com> - 3.4.0-1
- Update to 3.4.0

* Sun Aug 10 2014 Sandro Mani <manisandro@gmail.com> - 3.2.0-1
- Initial package
